
Foreman - Bug #14154

Report show page errors to 500 if host clock is adrift

03/11/2016 05:18 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Reporting   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1364049 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3307

  

Description

Probably after rails ugprade when API method distance_of_time_in_words has changed. It no longer accepts true as third argument

resulting in following traceback.

2016-03-11 11:06:09 [app] [W] Action failed

 | TypeError: no implicit conversion of true into Hash

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/helpers/date_helper.

rb:70:in `merge!'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/helpers/date_helper.

rb:70:in `distance_of_time_in_words'

 | /usr/share/foreman/app/views/config_reports/show.html.erb:11:in `_df8e6d12497f98d1b5abd4726c39b

031'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/template.rb:145:in `

block in render'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/notifications.

rb:161:in `instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/template.rb:339:in `

instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/template.rb:143:in `

render'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.2/lib/deface/action_view_extensions.rb:

41:in `render'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/template_re

nderer.rb:55:in `block (2 levels) in render_template'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/abstract_re

nderer.rb:38:in `block in instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/notifications.

rb:159:in `block in instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/notifications/

instrumenter.rb:20:in `instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/notifications.

rb:159:in `instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/abstract_re

nderer.rb:38:in `instrument'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/template_re

nderer.rb:54:in `block in render_template'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/template_re

nderer.rb:62:in `render_with_layout'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/template_re

nderer.rb:53:in `render_template'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/template_re

nderer.rb:17:in `render'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/renderer.rb

:42:in `render_template'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/renderer/renderer.rb

:23:in `render'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/rendering.rb:99:in `

_render_template'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/streamin

g.rb:217:in `_render_template'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionview-4.1.5/lib/action_view/rendering.rb:82:in `

render_to_body'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/renderin

g.rb:32:in `render_to_body'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/action_controller/metal/renderer

s.rb:32:in `render_to_body'

 | /opt/rh/rh-ror41/root/usr/share/gems/gems/actionpack-4.1.5/lib/abstract_controller/rendering.rb

:25:in `render'

Associated revisions

Revision fc362ac8 - 03/11/2016 07:24 AM - Marek Hulán

Fixes #14154 - fix adrift reports show page

Revision 1e2ad6c9 - 03/22/2016 01:15 PM - Marek Hulán

Fixes #14154 - fix adrift reports show page

(cherry picked from commit fc362ac8b5f9a9f8fb10ccaec1f68d5471b1bcf8)

History

#1 - 03/11/2016 05:21 AM - Dominic Cleal

- translation missing: en.field_release set to 71

Yeah, signature changed to a hash in 4.x.

#2 - 03/11/2016 06:32 AM - Marek Hulán

FTR in 4.1, 4.0 seems to be compatible.

#3 - 03/11/2016 06:32 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3307 added

#4 - 03/11/2016 08:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fc362ac8b5f9a9f8fb10ccaec1f68d5471b1bcf8.

#5 - 08/04/2016 07:39 AM - Ohad Levy

- Bugzilla link set to 1364049
